#2939 closed defect (fixed)

FAT file name search may not consider long file names

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Do not use our long file name entry count to optimize the file name search. The Unicode comparison must be taken into account.

Change History (4)

comment:1 Changed on Mar 16, 2017 at 2:12:13 PM by Sebastian Huber

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Mar 16, 2017 at 2:36:54 PM by Sebastian Huber <sebastian.huber@…>

In d50ab079/rtems:

dosfs: Fix file name search

Do not use our long file name entry count to optimize the file name
search. The Unicode comparison must be taken into account.

Update #2939.

comment:3 Changed on Mar 21, 2017 at 3:18:47 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In d51538bd/rtems:

dosfs: Fix file name search

Do not use our long file name entry count to optimize the file name
search. The Unicode comparison must be taken into account.

Close #2939.

comment:4 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.